<?php



namespace app\common\model\user;

use app\common\model\BaseModel;

class UserReceipt extends BaseModel
{

    public static function tablePk(): ?string
    {
        return 'user_receipt_id';
    }

    public static function tableName(): string
    {
        return 'user_receipt';
    }



    /*
     ------------------------------------------------------------------------------------------------------------
     |
     | 搜索器
     ------------------------------------------------------------------------------------------------------------
     */
    public function searchUidAttr($query,$value)
    {
        $query->where('uid',$value);
    }

    public function searchIsDelAttr($query,$value)
    {
        $query->where('is_del',$value);
    }

    public function searchReceiptTypeAttr($query,$value)
    {
        $query->where('receipt_type',$value);
    }

    public function searchReceiptTitleTypeAttr($query,$value)
    {
        $query->where('receipt_title_type',$value);
    }

    public function searchIsDefaultAttr($query,$value)
    {
        $query->where('is_default',$value);
    }

    public function searchUserReceiptIdAttr($query,$value)
    {
        $query->where('user_receipt_id',$value);
    }
}
